[X2Go-Commits] [live-build-x2go] 14/29: typofix, and different invocation of pulseaudio

git-admin at x2go.org git-admin at x2go.org
Tue Dec 13 19:39:37 CET 2016


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch feature/mini
in repository live-build-x2go.

commit dd779e078fd7d433986811099c81f4b4ae591782
Author: Stefan Baur (BAUR-ITCS) <kontakt at baur-itcs.de>
Date:   Tue Jun 21 21:41:57 2016 +0200

    typofix, and different invocation of pulseaudio
---
 .../lib/live/config/2800-x2go-thinclientconfig     |   36 ++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig b/config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig
new file mode 100755
index 0000000..dba03fc
--- /dev/null
+++ b/config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+X2GoThinClientConfig ()
+{
+
+# Output startup message
+#
+echo -n " x2gothinclientconfig"
+
+sed -i -e '\#<applications>#a<application title="X2Go Client" type="normal">' -e '\#<applications>#a<decor>no</decor>' -e '\#<applications>#a</application>' /etc/xdg/openbox/rc.xml
+
+cat >/home/user/.xsession <<XSESSION
+# inspired by 
+# http://code.x2go.org/gitweb?p=x2gothinclient.git;a=blob_plain;f=displaymanager/sbin/x2gothinclientd;h=6897d42d17bd6778e7de5e62ec3f51727d4e8800;hb=HEAD
+# check the above file for ideas before reinventing the wheel
+
+# Spawn PulseAudio
+ps -C pulseaudio --no-headers || (su - user -c "pulseaudio -D -n -L 'module-native-protocol-tcp port=4713' -L 'module-udev-detect' --exit-idle-time=65535")&
+
+# Spawn openbox
+openbox &
+
+# Spawn X2GoClient
+x2goclient --thinclient --no-session-edit --no-menu --maximize --add-to-known-hosts --haltbt --session-conf=/etc/x2go/x2gothinclient_sessions
+XSESSION
+
+chown user:user /home/user/.xsession
+chmod 644 /home/user/.xsession
+
+# Set Audio Volume
+amixer -q sset Master 100
+amixer -q sset PCM 100
+
+}
+
+X2GoThinClientConfig

--
Alioth's /srv/git/code.x2go.org/live-build-x2go.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/live-build-x2go.git


More information about the x2go-commits mailing list